OpenVDB 7.0.0

Public Types | List of all members
PointDataNodeChain< HeadT, HeadLevel > Struct Template Reference

Recursive node chain which generates a boost::mpl::vector listing value converted types of nodes to PointDataGrid nodes of the same configuration, rooted at RootNodeType in reverse order, from LeafNode to RootNode. See also TreeConverter<>. More...

`#include <PointDataGrid.h>`

## Public Types
using | SubtreeT = typename PointDataNodeChain< typename HeadT::ChildNodeType, HeadLevel-1 >::Type
using | RootNodeT = tree::RootNode< typename boost::mpl::back< SubtreeT >::type >
using | Type = typename boost::mpl::push_back< SubtreeT, RootNodeT >::type

## Detailed Description

### template<typename HeadT, int HeadLevel>
struct openvdb::v7_0::points::internal::PointDataNodeChain< HeadT, HeadLevel >

Recursive node chain which generates a boost::mpl::vector listing value converted types of nodes to PointDataGrid nodes of the same configuration, rooted at RootNodeType in reverse order, from LeafNode to RootNode. See also TreeConverter<>.

## Member Typedef Documentation

## ◆ RootNodeT

using RootNodeT = tree::RootNode<typename boost::mpl::back<SubtreeT>::type>

## ◆ SubtreeT

using SubtreeT = typename PointDataNodeChain<typename HeadT::ChildNodeType, HeadLevel-1>::Type

## ◆ Type

using Type = typename boost::mpl::push_back<SubtreeT, RootNodeT>::type

The documentation for this struct was generated from the following file:

- PointDataGrid.h